
ULTRAZVUCNI_RADAR_HC_SR04_InitMain:

;ULTRAZVUCNI_RADAR_HC_SR04.mbas,45 :: 		sub procedure InitMain()
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,46 :: 		ADCON1 = %00001111   ' all inputs is digital
	MOVLW       15
	MOVWF       ADCON1+0 
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,47 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,48 :: 		RCON.IPEN = $00      ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,49 :: 		TRISB   = 0x01       ' B8 to B2 for LCD, B1=trig, B0=echo
	MOVLW       1
	MOVWF       TRISB+0 
	RETURN      0
; end of ULTRAZVUCNI_RADAR_HC_SR04_InitMain

_main:

;ULTRAZVUCNI_RADAR_HC_SR04.mbas,53 :: 		main:
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,54 :: 		InitMain()
	CALL        ULTRAZVUCNI_RADAR_HC_SR04_InitMain+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,55 :: 		INIT_HC_SR04()
	CALL        _INIT_HC_SR04+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,56 :: 		Lcd_PLL_Init()                     ' Initialize Lcd
	CALL        _LCD_PLL_INIT+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,57 :: 		Lcd_PLL_Cmd(_LCD_CLEAR)            ' Clear display
	MOVLW       1
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,58 :: 		Lcd_PLL_Cmd(_LCD_CURSOR_OFF)       ' Cursor off
	MOVLW       12
	MOVWF       FARG_LCD_PLL_CMD_TEKST+0 
	CALL        _LCD_PLL_CMD+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,59 :: 		Lcd_PLL_Out(1,1,"DISTANCE ")        ' Write text in 1st row
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FSR1H 
	MOVLW       68
	MOVWF       POSTINC1+0 
	MOVLW       73
	MOVWF       POSTINC1+0 
	MOVLW       83
	MOVWF       POSTINC1+0 
	MOVLW       84
	MOVWF       POSTINC1+0 
	MOVLW       65
	MOVWF       POSTINC1+0 
	MOVLW       78
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,60 :: 		Delay_ms(100)
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L__main2:
	DECFSZ      R13, 1, 0
	BRA         L__main2
	DECFSZ      R12, 1, 0
	BRA         L__main2
	DECFSZ      R11, 1, 0
	BRA         L__main2
	NOP
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,62 :: 		WHILE TRUE
L__main4:
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,63 :: 		WordToStr(READ_HC_SR04(),length_mm)
	CALL        _READ_HC_SR04+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _length_mm+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_length_mm+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,64 :: 		Lcd_PLL_Out(1,10,length_mm)             ' Write text in 2nd row
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       10
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       _length_mm+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_length_mm+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,65 :: 		Lcd_PLL_Out(1,14," cm")                 ' Write text in 2nd row
	MOVLW       1
	MOVWF       FARG_LCD_PLL_OUT_KO+0 
	MOVLW       14
	MOVWF       FARG_LCD_PLL_OUT_VR+0 
	MOVLW       32
	MOVWF       _main_Local_Text+0 
	MOVLW       99
	MOVWF       _main_Local_Text+1 
	MOVLW       109
	MOVWF       _main_Local_Text+2 
	CLRF        _main_Local_Text+3 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_PLL_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_PLL_OUT_TEKST+1 
	CALL        _LCD_PLL_OUT+0, 0
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,66 :: 		delay_ms(250)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__main8:
	DECFSZ      R13, 1, 0
	BRA         L__main8
	DECFSZ      R12, 1, 0
	BRA         L__main8
	DECFSZ      R11, 1, 0
	BRA         L__main8
	NOP
	NOP
;ULTRAZVUCNI_RADAR_HC_SR04.mbas,67 :: 		WEND
	GOTO        L__main4
	GOTO        $+0
; end of _main
